import { DataSource } from 'typeorm';
import { DataConfig } from './types';
import { FrameworkConfig } from '../../shared/types';
export declare class DataBoot {
    readonly config: DataConfig;
    readonly frameworkConfig: FrameworkConfig;
    dataSource: DataSource | null;
    constructor(config: DataConfig, frameworkConfig: FrameworkConfig);
    start(): Promise<void>;
}
