import 'reflect-metadata';
import { Request, ResponseToolkit } from '@hapi/hapi';
import { HttpServerBoot } from './http-server-boot';
import { HttpConfig } from './types';
export declare class HttpRegister {
    readonly httpServer: HttpServerBoot;
    readonly config: HttpConfig;
    constructor(httpServer: HttpServerBoot, config: HttpConfig);
    registerControllersAndInterceptors(restControllersPath: string, restIntercerptorsPath?: string): Promise<void>;
    registerRoutes(controller: any): Promise<void>;
    registerInterceptors(controller: any): Promise<void>;
    colector(request: Request, http: ResponseToolkit): Promise<void>;
}
