import { FrameworkConfig } from '../../../shared/types';
export interface AwsQueueConfig {
    reconstructQueueNamesFromRegex?: RegExp;
    accessKey: string;
    secretKey: string;
    queueBaseUrl: string;
    apiVersion?: string;
    region?: string;
}
export declare class AwsQueueBoot {
    readonly config: AwsQueueConfig;
    readonly frameworkConfig: FrameworkConfig;
    private consumers;
    constructor(config: AwsQueueConfig, frameworkConfig: FrameworkConfig);
    start(): Promise<void>;
    bootQueueControllers(queuesDirPath: string): Promise<void>;
}
